#!/bin/bash

# start with a totally clean slate
make distclean 
./cleanall 
rm `find . -name '*.so'` `find . -name '*.o'` `find . -name '*.a'` 2> /dev/null

# rebuild from the ground up
./bootstrap && ./configure && make -j16 

#echo
#echo
#echo "testmatrixmul should get rebuilt now..."
#touch pdcuda/matrixmul.h
#make
#echo "...was it rebuilt?"

echo 
echo
echo "RUNNING TESTS..."
make check