error('this script was used to mark up the original inria frames.  Directory names need to be fixed before running it again.');

xmin=16; xmax=xmin+64-1;
ymin=16; ymax=ymin+128-1;

out = 'pos_marked';
mkdir(out);
files = dir('pos/*.png');
for i=1:length(files)
  img = imread(['pos/' files(i).name]);
  c = [255 0 0];
  for j=1:3
    img(ymin+(-1:1), xmin:xmax, j) = 0;
    img(ymax+(-1:1), xmin:xmax, j) = 0;
    img(ymin:ymax, xmin+(-1:1), j) = 0;
    img(ymin:ymax, xmax+(-1:1), j) = 0;

    img(ymin, xmin:xmax, j) = c(j);
    img(ymax, xmin:xmax, j) = c(j);
    img(ymin:ymax, xmin, j) = c(j);
    img(ymin:ymax, xmax, j) = c(j);
  end
  imwrite(img, ['pos_marked/' files(i).name]);
  if (mod(i,100)==0)
    fprintf('frame %d of %d\n', i, length(files));
  end
end
    