function a = fullsubplot(nr,nc,i)
%a = fullsubplot(nr,nc,i)
%  Like SUBPLOT, but fills the client area so that no border is included.

oldUnits = get(gcf,'units');
set(gcf,'units','normalized');

[r,c] = ind2sub([nr nc], i);

xmin = (c-1)/nc;
ymin = (nr-r)/nr;
w = 1/nc;
h = 1/nr;

subplot('Position', [xmin ymin w h]);

set(gcf, 'units',oldUnits);