function sliced = sliceExperiment(in, slice, keepCell)
%sliced = sliceExperiment(in, slice)
%sliced = sliceExperiment(in, slice, keepCell)

if nargin<3
  keepCell = 1;
end

sliced = struct;
for ttc = fieldnames(in)'
  tt = ttc{1};
  sliced.(tt) = struct;
  for fnc = fieldnames(in.(tt))'
    fn = fnc{1};
    if keepCell 
      sliced.(tt).(fn) = {in.(tt).(fn){slice}};
    else
      sliced.(tt).(fn) = in.(tt).(fn){slice};
    end
  end
end

