#include <iostream>
#include <lear/exception.h>

#include <lear/classifier/hard_ppresult.h>

lear::Hard_PPResult::Hard_PPResult(std::string const &hardfile_) :
  Parent(), to(hardfile_.c_str())
{
  using namespace std;
  if (!to) {
    ThrowException("Unable to open output file " + hardfile_);
  }
}

void lear::Hard_PPResult::write(const_iterator s, const_iterator e, 
                                lear::PostProcessResult::RGBImage const &inimage,
                                std::string                       const &infile)
{
  for (; s != e; ++s) {
    to  << infile << '\t' << *s << std::endl;
  }
}
