#!/bin/bash

rm -f ~/tmp.trk ~/tmp/*.jpg

#    --outhist /scratch/dalleyg/dalalTriggs/trunk/experiments/inria_orig/w64x128c8x8_all_gpu/persp/20080619-0710-westwall/nonmax_hist.txt \
#    --outfile /scratch/dalleyg/dalalTriggs/trunk/experiments/inria_orig/w64x128c8x8_all_gpu/persp/20080619-0710-westwall/nonmax_list.txt \
#    --infile /scratch/dalleyg/dalalTriggs/trunk/sourcedata/grandcentral/test/20080619-0710-westwall/full \
#    --outimage ~/tmp \
#    --maximages 240 \
reset; \
(cd /scratch/dalleyg/tracker/trunk ; make -j16 lib) && \
make -j16 && time app/classify_rhog \
    --infile /scratch/dalleyg/dalalTriggs/trunk/sourcevideo/grandcentral/20080619/westwall-0710/westwall-2008_06_19-07_10_07.mpg \
    --maskfile /afs/csail/group/vision/app/data/video/grandcentral/20080619/westwall-0710/westwall-2008_06_19-07_10_07.000000.mask.png \
    --modelfile /scratch/dalleyg/dalalTriggs/trunk/experiments/inria_orig/w64x128c8x8_all_gpu/persp/model.alt \
    --txtimgnames=1 --verbose=3 --cuda=1 --imageext=png \
    --window=64,128 --winstride=8,8 --finestride=-1,-1 --topleft=0,0 \
    --quantizepos=0 --cellsize=8,8 --numcell=2,2 --orientbin=9 \
    --descstride=8,8 --proc=rgb_sqrt --norm=l2hys --fullcirc=0 \
    --wtscale=2 --gscale=0 --maxvalue=0.2 --epsilon=1 --cachesize=1024 \
    --margin=0 --avsize=0 --svmthreshold=0 --threshold=0 --score2prob=1,1 \
    --no_nonmax=0 --nonmaxsigma=4,8,1.3 --softmax=0 --borderpixels=16 \
    --rodrigues=1.55549686024348350000,-1.56171275671479680000,0.91180910434582785000 \
    --translation=62.96439882933319200000,56.03676512358367000000,81.71438714745102100000 \
    --focalLength=2379.16160417091850000000,2379.16160417091850000000 \
    --scaleprecision=0.05 --slider=2 --startscale=0.9 --scaleratio=1.05 \
    --endscale=1.1 --showscore=1 \
    --trkfile /scratch/dalleyg/dalalTriggs/trunk/experiments/inria_orig/w64x128c8x8_all_gpu/persp/20080619-0710-westwall/tracker.trk \
    --fps=23.976023976023978 --initialsize=1920x1080 \
    --minvxy  9 --ivxy 25 --maxvxy 25 \
    --minvdxy 4 --ivdxy  1 --maxvdxy  4 \
    --minva 10000000 --iva 10000000 --maxva 10000000 \
    --matchdist 2.5 --deldist 1000000 > \
    /scratch/dalleyg/dalalTriggs/trunk/experiments/inria_orig/w64x128c8x8_all_gpu/persp/20080619-0710-westwall/tracker.log

# matchdist 2 : 95% confidence (I think)
# big *va : ignore scale