annofiles = {...
  inriaDir('test/inria/annotations_20080211.mat')...
  inriaDir('train/inria/annotations_20080211.mat')...
  grandCentralDir('test/1159407741750/annotations_20080221.mat')...
  grandCentralDir('test/ngct01/ibeams_20080221.mat')...
  grandCentralDir('test/notregct02/annotations_20080221.mat')};
  

for i=1:length(annofiles)
  annofile = annofiles{i};
  anno = load(annofile);  % allows easy introspection
  
  fns = fieldnames(anno);
  assert(length(fns)==1); % just 1 variable
  structname = fns{1};
  
  for j=1:length(anno.(structname))
      anno.(structname)(j).imagename = ...
        strrep(strrep(anno.(structname)(j).imagename, '\','/'), 'pos/','pos_full/');
  end
  
  %fprintf('%s\n', annofile);
  %fprintf('  %s\n', anno.(structname).imagename);
  %fprintf('\n');
  
  % transfer to the current namespace to make save happy
  eval(sprintf('%s = anno.(structname);', structname));
  
  % save the result back out
  save(annofile, structname);

  % cleanup variables to help expose any variable name bugs
  clear -regexp annotation.* ibeam.*
end