function d = todaysResultsDir(subdir)

persistent todaysdir;
if isempty(todaysdir)
  todaysdir = '/afs/csail/group/vision/app/code/user/dalleyg/pedestrianDetection';
  todaysdir = appPath(todaysdir, datestr(now,26));
  w = warning; warning off;
  mkdir(todaysdir);
  warning(w);
end

if nargin>=1
  d = fullfile(todaysdir, subdir);
else
  d = todaysdir;
end
