clc

frac = 0.95;

fprintf('traintest  annoset    impl       firstPass            hard                 persp              \n');
fprintf('---------  ---------  ---------  --------- ---------  --------- ---------  --------- ---------\n');

m = [0 0 0];
for traintest = {'train','20080619-0645-eastwall'; 'test','20080619-0710-westwall'}'
  t = traintest{1};
  tt = traintest{2};
  for impl={'cpu','gpu'}
    i=impl{1};
    for annoset={'orig','20080211'}
      a=annoset{1};

      h=load(['C:\Users\dalleyg\Documents\projects\dalalTriggs\trunk\experiments\inria_' a '\w64x128c8x8_all_' i '\firstPass\' tt '\permissive_hist.txt']);
      x=linspace(-20,20,length(h))';
      firstPassThresh = x(find(cumsum(h./sum(h)) < frac, 1, 'last'));
      m(1) = sum(h.*x) / sum(h);

      h=load(['C:\Users\dalleyg\Documents\projects\dalalTriggs\trunk\experiments\inria_' a '\w64x128c8x8_all_' i '\hard\' tt '\permissive_hist.txt']);
      x=linspace(-20,20,length(h))';
      hardthresh = x(find(cumsum(h./sum(h)) < frac, 1, 'last'));
      m(2) = sum(h.*x) / sum(h);

      h=load(['C:\Users\dalleyg\Documents\projects\dalalTriggs\trunk\experiments\inria_' a '\w64x128c8x8_all_' i '\persp\' tt '\permissive_hist.txt']);
      x=linspace(-20,20,length(h))';
      perspthresh = x(find(cumsum(h./sum(h)) < frac, 1, 'last'));
      m(3) = sum(h.*x) / sum(h);

      fprintf('%9s  %9s  %9s  %9.4f %9.4f  %9.4f %9.4f  %9.4f %9.4f \n',...
        t,a,i,m(1),firstPassThresh,m(2),hardthresh,m(3),perspthresh);
    end
  end
end